@import url(//fonts.googleapis.com/css?family=Kaushan+Script);
@import "/src/app/layout/variables";

.logo {
  background-color: $sidebar-background;
  border-radius: 0px 0px 30px 0px;
  transition: all 0.4s ease;
  a {
    // background-color: #333333;
    height: $header;
    line-height: 50px;
    display: flex;
    position: relative;
    // left: -261px;
    font-family: "Kaushan Script", cursive;
    text-align: center;
    color: #f9f9f9;
    font-size: 20px;
    display: block;
    text-decoration: none;
    img {
      // height: calc($header - 14px);
      margin: 7px 0px;
    }
  }
}

@media (max-width: 767.98px) {
  .logo {
    width: 100%;
    .openLogo {
      height: 20px;
      height: calc($header - 34px);
    }
    .closedLogo {
      display: none;
      height: calc($header - 14px);
    }
  }
}

@media (min-width: 767.98px) {
  .logo {
    width: $sidebar-width;
    // border-right: 1px solid $border-color;
    float: left;
    .openLogo {
      height: calc($header - 14px);
    }
    .closedLogo {
      display: none;
      object-fit: contain;
      height: calc($header - 14px);
    }
  }
  .side-header.closed {
    .logo {
      width: $sidebar-width-closed;
      .openLogo {
        display: none;
      }
      .closedLogo {
        width: $sidebar-width-closed;
        display: block;
      }
    }
    // .logoText {
    //   display: none;
    // }
  }
}
::ng-deep .vertical_menu {
  .logo {
    border-right: 0px solid $border-color;
  }
}

.sidebar-toggle {
  margin-left: 5px;
  // padding: 9px 5px;
}

.sidemenu-logo {
  z-index: 9999;
  background: #fff;
  transition: all 0.4s;
  padding: 13.4px 21px;

  .main-logo {
    color: var(--primary-color);
    font-weight: 700;
    font-size: 14px;
    line-height: 37px;
    font-family: $font-family;
    text-transform: uppercase;
    letter-spacing: 0px;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: left;
    align-items: left;
    position: relative;
    margin: auto;
    -ms-flex-pack: left;
    justify-content: left;

    .header-brand-img {
      line-height: 2.5rem;
      vertical-align: middle;
      width: auto;
      max-width: 100%;
      margin: 0 10px 0 auto;
      max-height: 37px;
    }
  }
}

@media (max-width: 767.98px) {
  .side-header {
    padding-left: 0px;
  }

  .sidemenu-logo {
    display: none;
  }
}

.main-header {
  width: 100%;
  // height: 50px;
  min-height: $header;
  top: 0px;
  background-color: $background-color;
  @media (max-width: 767.98px) {
    background-color: $white-color;
  }
  // background-color: #ffffff;
  // border-bottom: 1px solid $border-color;
  // position: fixed;
  // z-index: 999;
  // padding-right: 10px;

  .d-flex {
    min-height: $header;
    // border-bottom: 1px solid $border-color;
  }

  >.container-fluid {
    height: 100%;

    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: justify;
    justify-content: space-between;
    padding-left: 0px;
    padding-right: 0px;
  }

  @media (max-width: 767.98px) {
    >.container-fluid {
      padding-right: 0px;
    }
  }

  .main-header-left {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
  }

  // .mobileIcon {
  //     display: none;
  // }
  .main-header-center {
    -ms-flex: 1;
    flex: 1;
    margin: 0 0 0 0.8rem;
    position: relative;

    @media (min-width: 767.98px) {
      .responsive-logo {
        display: none;
      }
    }
  }

  .main-header-right,
  .main-header-right .btn-social {
    display: -ms-flexbox;
    font-size: 12px;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
  }

  .main-header-menu-icon {
    // margin-right: 10px;
    // margin-left: -252px;
    border: 0px;
    background-color: transparent;
    width: 40px;
    height: 30px;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;

    span {
      display: block;
      position: relative;
      width: 20px;
      height: 1px;
      background-color: $font-color;
      border-radius: 3px;
      transition: all 0.2s ease-in-out;

      &::before,
      &::after {
        content: "";
        position: absolute;
        left: 0;
        width: 10px;
        height: 1px;
        background-color: $font-color;
        border-radius: 3px;
        transition: all 0.2s ease-in-out;
      }

      &::before {
        top: -6px;
      }

      &::after {
        bottom: -6px;
      }
    }
  }

  .responsive-logo {

    // display: none;
    img {
      border-style: none;
      max-width: 100%;
    }
  }

  .mobile-logo {
    max-height: 37px;
  }

  .input-group {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -ms-flex-align: dstretch;
    align-items: dstretch;
    width: 100%;
  }

  .nav-link.icon {
    font-size: 20px;
    color: #4a4d51;
    cursor: pointer;
    line-height: 0.9;
    padding: 0.6rem;
    border-radius: 50%;
    margin: 0 5px;

    &::after {
      display: none;
    }
  }

  .header-icons {
    height: 20px;
    width: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .dropdown {
    position: relative;
    margin-left: 10px;
    margin-right: 10px;

    i {
      font-size: 14px;
    }

    i.fa-caret-down {
      font-size: 10px;
    }
  }

  .dropdown-menu {
    width: 300px;
    position: absolute;
    top: 48px;
    left: auto;
    right: -10px;
    bottom: auto;
    padding: 0;
    border: 0;
    border-width: 1px;
    box-shadow: -8px 12px 18px 0 rgb(21 21 62 / 30%);
    border-radius: 4px;
    background-color: #fff;
  }

  .header-navheading {
    padding: 20px 20px 15px;
    text-align: center;

    .main-notification-text {
      font-size: 13px;
      margin-bottom: 0;
      color: #3c4858;
    }
  }

  .quick_link {
    .btn {
      width: 150px;
    }

    .dropdown-menu {
      width: 200px;

      a {
        font-size: 14px;
        cursor: pointer;

        i {
          margin-right: 10px;
        }
      }
    }
  }

  .main-notification-list .media {
    padding: 10px;
    position: relative;
    display: flex;
    align-items: flex-start;

    .media-body {
      margin-left: 15px;
      font-size: 13px;
      flex: 1;

      p {
        margin-top: 0px;
        margin-bottom: 5px;
        line-height: 1.3;
        color: #444469;
      }

      span {
        display: block;
        font-size: 11px;
        color: #a8afc7;
      }
    }
  }

  .main-notification-list,
  .main-profile-menu .dropdown-menu .dropdown-item:first-child {
    border-top: 1px solid #e8e8f7;
  }

  .dropdown-footer {
    text-align: center;
    padding: 10px;
    font-size: 13px;
    border-top: 1px solid rgba(123, 65, 216, 0.1);
  }

  .nav-link .badge {
    position: absolute;
    top: 3px;
    right: 4px;
    padding: 2px;
    min-width: 13px;
    font-size: 9px;
    border-radius: 50%;
  }

  .badge-danger {
    color: #fff !important;
    background-color: #f0ad4e;
  }
  .profile-menu {
    display: flex;
    align-items: center;
    .main-img-user {
      display: block;
      position: relative;
      height: 36px;
      border-radius: 100%;
      overflow: hidden;
    }

    .main-img-user img {
      width: 100%;
      height: 100%;
      object-fit: cover;
    }
    .main-user-info {
      margin-left: 5px;
      margin-right: 10px;
      .name {
        font-weight: bold;
      }
      .design {
        font-size: 10px;
        opacity: 0.4;
      }
    }
  }

  .main-img-user {
    display: block;
    position: relative;
    // width: 36px;
    height: 36px;
    border-radius: 100%;

    // margin-right: 15px;
    img {
      width: 100%;
      height: 100%;
      object-fit: cover;
    }

    span {
      font-size: medium;
      margin: 0 5px;
      font-weight: 600;
    }
  }

  .main-profile-menu {
    position: relative;
    // padding: 0.5rem 0;
    margin: 0 4px;

    .main-img-user {
      display: block;
      position: relative;
      // width: 36px;
      // height: 36px;
      // width: 20px;
      height: 20px;
      border-radius: 100%;
    }

    .main-img-user img {
      width: 100%;
      height: 100%;
      object-fit: cover;
    }

    .user-header {
      background-color: #3c8dbc;
    }

    .header-navheading {
      padding: 20px 20px 15px;
      text-align: center;

      .profileImgFrame {
        margin: auto;
        height: 90px;
        width: 90px;
        border-radius: 50%;
        object-fit: cover;
        border: 8px solid rgba(255, 255, 255, 0.2);
      }

      .profileImg {
        height: 74px;
        width: 74px;
        border-radius: 50%;
        object-fit: cover;
        background-color: #fff;
        // border: 8px solid rgba(255, 255, 255, 0.2);
      }

      .name-text {
        z-index: 5;
        color: #f9f9f9;
        color: rgba(255, 255, 255, 0.8);
        font-size: 17px;
        text-shadow: 2px 2px 3px #333333;
        margin-top: 10px;
      }

      .address-text {
        display: block;
        font-size: 12px;
        color: #f9f9f9;
        color: rgba(255, 255, 255, 0.8);
        text-shadow: 2px 2px 3px #333333;
      }

      i {
        font-size: 34px;
      }

      .main-notification-title {
        font-size: 18px;
        font-weight: 600;
        color: #11141f;
        margin-bottom: 5px;
        line-height: 1;
      }

      .main-notification-text {
        font-size: 13px;
        margin-bottom: 0;
        color: #3c4858;
      }
    }

    .dropdown-item {
      position: relative;
      padding: 10px;
      height: 38px;
      display: -ms-flexbox;
      display: flex;
      -ms-flex-align: center;
      align-items: center;
      font-size: 13px;
      color: black;
      border-top: 1px solid #e8e8f7;

      i {
        font-size: 16px;
        margin-right: 10px;
        width: 24px;
        text-align: center;
        line-height: 0.9;
      }
    }
  }

  dash-menu {
    margin-right: 10px;
    margin-left: 10px;
  }
}

// }
